Subject: Re: bug#43794: Hyperbole fails to handle file: link with a trailing :line-number

From: Mats Lidell <[email-masked]>
Date: Sat, 05 Mar 2022 23:35:01 +0100

> Robert Weiner writes:
>  
> Sasanidas commented 2 hours ago
>
> I have this output from xdebug(php debugger). 
>  
> step_over 
> 17 | step_over > break/ok 
> 17 | file:///usr/Data_2/Programming/drupal-9.0.6/core/modules/views/src/DisplayPluginCollection.php:62 
>  
> The path that is showed have a number in the end, delimited with : , that indicate the row of the file, but when I 
> trigger the Implicit button, it doesn't take into the account the line number, it's just creates a new buffer with the full 
> path, the dots and the number at the end. 
> My question is, what is the correct approach to this case, should I change the Implicit button action, create a new one 
> or maybe change the button type. 
>  
> Thank you. 
> @rswgnu
>  
> Owner
>
> rswgnu commented 1 hour ago
>
> You have found a bug. Thank you. We will work with it and resolve it. 

Sorry for late follow up. This has been fixed in commit 531cf877fac91bfffa656fd6e47963029aa6cd3e.

A pre release with the fix is available from GNU Elpa Devel ("https://elpa.gnu.org/devel/"). Add this to the package-archives list and use the Emacs Package Manager to install it.

%% Mats